<?php

/*
  Plugin Name: Newsletter - Amazon SES
  Plugin URI: http://www.thenewsletterplugin.com/plugins/newsletter/amazon-ses-extension
  Description: Integrates Newsletter with Amazon SES service for sending emails and processing bounces. Automatic updates available with the license key.
  Version: 1.3.8
  Requires at least: 4.6
  Requires PHP: 5.6 
  Author: The Newsletter Team
  Author URI: http://www.thenewsletterplugin.com
  Disclaimer: Use at your own risk. No warranty expressed or implied is provided.

 */

add_action('newsletter_loaded', function ($version) {
    if ($version < '7.3.1') {
        add_action('admin_notices', function () {
            echo '<div class="notice notice-error"><p>Newsletter plugin upgrade required for Amazon SES Integration.</p></div>';
        });
    } else if (version_compare(PHP_VERSION, '5.6.0', '<')) {
        add_action('admin_notices', function () {
            echo '<div class="notice notice-error"><p>PHP version 5.6 or greater required for Amazon SES Integration.</p></div>';
        });
    } else {
        include_once __DIR__ . '/plugin.php';
        new NewsletterAmazon('1.3.8');
    }
});
