<?php

/*
  Plugin Name: Newsletter - Sendinblue
  Plugin URI: https://www.thenewsletterplugin.com/documentation/addons/delivery-addons/sendinblue-extension/
  Description: Integrates Newsletter with SendGrid SMTP/API and bounce detection services. Automatic updates available setting the license key on Newsletter configuration panel.
  Version: 1.1.2
  Requires PHP: 5.6
  Requires at least: 4.6
  Author: The Newsletter Team
  Author URI: https://www.thenewsletterplugin.com
  Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
 */

add_action('newsletter_loaded', function ($version) {
 if ($version < '7.4.0') {
        add_action('admin_notices', function () {
            echo '<div class="notice notice-error"><p>Newsletter plugin upgrade required for Sendinblue Addon.</p></div>';
        });
    } else {
        include_once __DIR__ . '/plugin.php';
        new NewsletterSendinblue('1.1.2');
    }
});

register_deactivation_hook(__FILE__, function () {
    wp_clear_scheduled_hook('newsletter_sendinblue_bounce');
});