<?php
$total_width = 600 - $options['block_padding_left'] - $options['block_padding_right'];
$column_width = $total_width;
?>
<style>
    .event {
        margin-bottom: 25px;
    }

    .image {
        padding-bottom: 20px;
    }

    .title {
        padding-bottom: 20px;
        text-align: center;
    }

    .title-link {
        <?php $title_style->echo_css() ?>
        line-height: normal!important;
        text-decoration: none;
    }

    .time {
        <?php $text_style->echo_css() ?>
        color: #444444;
        padding-bottom: 15px;
    }
    .date {
        <?php $text_style->echo_css() ?>
        color: #444444;
        padding-bottom: 15px;
        font-weight: bold;
    }

    .location {
        <?php $text_style->echo_css() ?>
        line-height: normal!important;
        padding-bottom: 20px;
        font-weight: bold;
    }
    .name {
        <?php $text_style->echo_css() ?>
        line-height: normal!important;
        font-weight: bold;
    }
    .town {
        <?php $text_style->echo_css() ?>
        line-height: normal!important;
        font-weight: bold;
    }
    .address {
        <?php $text_style->echo_css() ?>
        line-height: normal!important;
        font-weight: bold;
    }
    .excerpt {
        <?php $text_style->echo_css() ?>
        line-height: 1.5em!important;
        padding-bottom:20px;
    }
    .button {
        text-align: center;
        padding-bottom:30px;      
    }
</style>

<?php foreach ($items as $item) { ?>
    <?php
    $button_options['button_url'] = $item->url;
    if ($item->image) {
        $item->image->set_width($column_width);
    }
    ?>


    <?php if ($item->image) { ?>
        <div inline-class="image">
            <?php echo TNP_Composer::image($item->image) ?>
        </div>
    <?php } ?>


    <div inline-class="title">
        <a inline-class="title-link" href="<?php echo $item->url ?>" target="_blank"><?php echo $item->title ?></a>
    </div>

    <div inline-class="date">
        <?php echo $item->date ?>
    </div>

    <?php if (!$item->all_day) { ?>
        <div inline-class="time"><?php echo $item->time ?></div>
    <?php } ?>

    <?php if ($item->location) { ?>
        <div inline-class="location">
            <span inline-class="name"><?php echo esc_html($item->location->name) ?></span>
            <br>
            <span inline-class="town"><?php echo $item->location->city ?></span> -
            <span inline-class="address"><?php echo $item->location->address ?></span>
        </div>
    <?php } ?>

    <div inline-class="excerpt">
        <?php echo $item->excerpt ?>
    </div>

    <div inline-class="button">
        <?php echo TNP_Composer::button($button_options) ?>
    </div>
    <br><br>

<?php } ?>